NisusWrtTextInternal::State Struct Reference documentation

Public Member Functions | Public Attributes | List of all members
NisusWrtTextInternal::State Struct Reference

Internal: the state of a NisusWrtText. More...

## Public Member Functions
| State ()
| constructor More...

## Public Attributes
int | m_version
| the file version More...
std::vector< Font > | m_fontList
| the font list More...
std::vector< Footnote > | m_footnoteList
| the list of footnote More...
Zone | m_zones [3]
| the main zones : Main, Footnote, HeaderFooter More...
int | m_numPages
int | m_actualPage
std::vector< HeaderFooter > | m_hfList
| the list of header footer More...
std::vector< int > | m_headersId
| the list of header id which corresponds to each page More...
std::vector< int > | m_footersId
| the list of footer id which corresponds to each page More...

## Detailed Description

Internal: the state of a NisusWrtText.

## Constructor & Destructor Documentation

## § State()

NisusWrtTextInternal::State::State | ( |  | ) |
| inline

constructor

## Member Data Documentation

## § m_actualPage

int NisusWrtTextInternal::State::m_actualPage

## § m_fontList

std::vector<Font> NisusWrtTextInternal::State::m_fontList

the font list

## § m_footersId

std::vector<int> NisusWrtTextInternal::State::m_footersId

the list of footer id which corresponds to each page

## § m_footnoteList

std::vector<Footnote> NisusWrtTextInternal::State::m_footnoteList

the list of footnote

## § m_headersId

std::vector<int> NisusWrtTextInternal::State::m_headersId

the list of header id which corresponds to each page

## § m_hfList

std::vector<HeaderFooter> NisusWrtTextInternal::State::m_hfList

the list of header footer

## § m_numPages

int NisusWrtTextInternal::State::m_numPages

## § m_version

int NisusWrtTextInternal::State::m_version
| mutable

the file version

## § m_zones

Zone NisusWrtTextInternal::State::m_zones[3]

the main zones : Main, Footnote, HeaderFooter

The documentation for this struct was generated from the following file:

- NisusWrtText.cxx